## ros-indigo-squirrel-waypoint-msgs 0.0.24

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(squirrel_waypoint_msgs)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  message_generation
  diagnostic_msgs
  geometry_msgs
  squirrel_object_perception_msgs
  std_msgs
)

## Generate services in the 'srv' folder
add_service_files(
  FILES
  ManipulationWaypointService.srv
  ExamineWaypoint.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
   DEPENDENCIES
   diagnostic_msgs
   geometry_msgs
   squirrel_object_perception_msgs
   std_msgs
)

## Declare a catkin package
catkin_package(
 CATKIN_DEPENDS
  DEPENDS system_lib
    geometry_msgs
    squirrel_object_perception_msgs
    message_runtime
    std_msgs
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
)

=== debian/changelog ===
ros-indigo-squirrel-waypoint-msgs (0.0.24-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Sun, 19 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.23-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Sun, 12 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.22-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Tue, 27 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.21-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Wed, 14 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.20-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Tue, 06 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.19-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.18-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Mon, 09 May 2016 22:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.17-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Wed, 13 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.16-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Sun, 10 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.15-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'upstream/indigo_dev' into indigo_dev
    Conflicts:
    squirrel_waypoint_msgs/package.xml
  * antother merge conflict thanks to the amazing git versioning system!
  * merge confilic
  * fixed CMakeLists.txt
  * merge conflict
  * fixed merge conflict
  * squirrel waypoints package and manipulation service
  * Contributors: Philipp Zech, m312z

 -- Edith Langer <langer@acin.tuwien.ac.at>  Sat, 09 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.14-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Tue, 05 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.13-0trusty) trusty; urgency=high

  * Merge pull request #101 <https://github.com/squirrel-project/squirrel_common/issues/101> from squirrel-project/indigo_dev
    update
  * examine waypoints depending on lump diameter
  * Contributors: Edith Langer, Nadia Hammoudeh García

 -- Edith Langer <langer@acin.tuwien.ac.at>  Tue, 01 Mar 2016 23:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.12-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Tue, 23 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.11-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.10-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.9-0trusty) trusty; urgency=high



 -- Edith Langer <langer@acin.tuwien.ac.at>  Tue, 16 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-waypoint-msgs (0.0.8-0trusty) trusty; urgency=high

  * update version
  * removed actionlib and rospy from waypoint package
  * create squirrel_waypoint_msgs, added ExamineWaypoint.srv
  * Contributors: Edith Langer, buildbot-squirrel

 -- Edith Langer <langer@acin.tuwien.ac.at>  Wed, 03 Feb 2016 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-squirrel-waypoint-msgs
Section: misc
Priority: extra
Maintainer: Edith Langer <langer@acin.tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-squirrel-object-perception-msgs, ros-indigo-std-msgs
Homepage: http://www.squirrel-project.eu
Standards-Version: 3.9.2

Package: ros-indigo-squirrel-waypoint-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-squirrel-object-perception-msgs, ros-indigo-std-msgs
Description: Messages, actions and services for creating waypoints for the planner

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-squirrel-waypoint-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
